Package org.apache.lucene.search

# Class LongValues

java.lang.Object
org.apache.lucene.search.LongValues

public abstract class LongValues extends Object
Per-segment, per-document long values, which can be calculated at search-time

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongValues()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `advanceExact(int doc)`
  Advance this instance to the given document id
  `abstract long`
  `longValue()`
  Get the long value for the current document

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LongValues

    public LongValues()

- ## Method Details

  - ### longValue

    public abstract long longValue() throws IOException
    Get the long value for the current document
    Throws:
      `IOException`

  - ### advanceExact

    public abstract boolean advanceExact(int doc) throws IOException
    Advance this instance to the given document id
    Returns:
      true if there is a value for this document
    Throws:
      `IOException`